import React from 'react';
import type AppRegistry from 'hadron-app-registry';
export type IndexView = 'regular-indexes' | 'search-indexes';
type IndexesToolbarProps = {
    errorMessage: string | null;
    hasTooManyIndexes: boolean;
    isRefreshing: boolean;
    onRefreshIndexes: () => void;
    onChangeIndexView: (newView: IndexView) => void;
    onClickCreateAtlasSearchIndex: () => void;
    isReadonlyView: boolean;
    isWritable: boolean;
    localAppRegistry: AppRegistry;
    writeStateDescription?: string;
    isAtlasSearchSupported: boolean;
    readOnly?: boolean;
};
export declare const IndexesToolbar: React.FunctionComponent<IndexesToolbarProps>;
type CreateIndexButtonProps = {
    isSearchManagementActive: boolean;
    isAtlasSearchSupported: boolean;
    isWritable: boolean;
    onClickCreateIndex: () => void;
    onClickCreateAtlasSearchIndex: () => void;
};
export declare const CreateIndexButton: React.FunctionComponent<CreateIndexButtonProps>;
declare const _default: import("react-redux").ConnectedComponent<(props: Omit<IndexesToolbarProps & {
    children?: React.ReactNode;
}, "readOnly"> & Partial<Pick<IndexesToolbarProps & {
    children?: React.ReactNode;
}, "readOnly">>) => React.ReactElement<{}, string | React.JSXElementConstructor<any>>, {
    children?: React.ReactNode;
    errorMessage: string | null;
    readOnly?: boolean | undefined;
    isRefreshing: boolean;
    hasTooManyIndexes: boolean;
    onRefreshIndexes: () => void;
    onChangeIndexView: (newView: IndexView) => void;
    onClickCreateAtlasSearchIndex: () => void;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
}>;
export default _default;
//# sourceMappingURL=indexes-toolbar.d.ts.map